Subject: [Techspec] Issue 7: Assigning STD and other identifiers

From: "Stephen Hayes (TX/EUS)" <[email-masked]>
Date: Mon, 23 Jan 2006 08:37:06 -0600

Requirement on the assignment of other identifiers than RFC numbers.

Proposed Resolution: Add in potential requirements along the lines of:

Potential Req- PERMID-3 - The IETF technical publisher should assign additional permanent identifiers associated with various classes of documents as directed by the IETF.

In section 5 (IETF Implications of Technical Publication Requirements) a bullet is added indicating that the classes of documents and the procedures for allocation of those numbers needs to be defined.

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec

---

From: Pekka Savola <[email-masked]>
Date: Mon, 23 Jan 2006 17:16:56 +0200 (EET)

On Mon, 23 Jan 2006, Stephen Hayes (TX/EUS) wrote:
> Potential Req- PERMID-3 - The IETF technical publisher should assign 
> additional permanent identifiers associated with various classes of 
> documents as directed by the IETF.
>
> In section 5 (IETF Implications of Technical Publication 
> Requirements) a bullet is added indicating that the classes of 
> documents and the procedures for allocation of those numbers needs 
> to be defined.

This is also a current requirement, at least to some degree -- by the 
virtue of putting something on BCP or Full Standard level.  In the 
past, some informational documents were also apparently subclassified 
as "FYI xx".  I don't know the history enough to know the process that 
was used to request those.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: "Spencer Dawkins" <[email-masked]>
Date: Mon, 23 Jan 2006 11:00:31 -0600

I know the current situation splits the responsibility for maintaining STD 
and BCP indexes between IETF and the technical publisher, but is there any 
reason why we would choose to continue with the split responsibility, if we 
were starting from scratch?

Spencer

> In section 5 (IETF Implications of Technical Publication Requirements) a 
> bullet is added indicating that the classes of documents and the 
> procedures for allocation of those numbers needs to be defined.

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 24 Jan 2006 06:20:42 -0600

> Spencer Dawkins wrote:
>> I know the current situation splits the responsibility for maintaining 
>> STD and BCP indexes between IETF and the technical publisher, but is 
>> there any reason why we would choose to continue with the split 
>> responsibility, if we were starting from scratch?
>
> That, I think, is the point of "as directed by the IETF." It makes it
> clear where the policy comes from.
>
>     Brian

Yeah, I understand the policy part. I'm asking why we want to continue to 
have these indexes on a site that's not ietf.org.

I don't know if we will ever do anything with ISDs or SRDs (or any other 
metadata grouping), but if this ever happens, it seems like we'll have a lot 
more activity with STD-like indexes than we've had thus far. If the 
technical publisher was responsible for making sure that our specifications 
were available to the community, and IETF was responsible for making sure 
that the specifications were correctly classified and grouped, that would 
make sense to me. That's not the only way that makes sense, I'm sure.

I'm just trying to understand what the goal of having the technical 
publisher maintain these indexes is.

Thanks,

Spencer

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 24 Jan 2006 11:23:55 +0100

Brian

>> In section 5 (IETF Implications of Technical Publication Requirements) 
>> a bullet is added indicating that the classes of documents and the

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 24 Jan 2006 14:31:46 +0100

Spencer Dawkins wrote:
>> Spencer Dawkins wrote:
>>
>>> I know the current situation splits the responsibility for 
>>> maintaining STD and BCP indexes between IETF and the technical 
>>> publisher, but is there any reason why we would choose to continue 
>>> with the split responsibility, if we were starting from scratch?
>>
>>
> Yeah, I understand the policy part. I'm asking why we want to continue 
> to have these indexes on a site that's not ietf.org.
> 
> metadata grouping), but if this ever happens, it seems like we'll have a 
> lot more activity with STD-like indexes than we've had thus far. If the 
> technical publisher was responsible for making sure that our 
> specifications were available to the community, and IETF was responsible 
> for making sure that the specifications were correctly classified and 
> grouped, that would make sense to me. That's not the only way that makes 
> sense, I'm sure.
> 

I think that's a separate question. As far as techspec is concerned,
we want the publisher to do what the IETF wants. If the IETF decides
to maintain these indexes in-house, the direction from the IETF to
the publisher will become "please do nothing." Thus, I'm happy with
the current wording.

     Brian